## org.red5.server.net.rtmp
Interface RTMPMinaTransportMBean

    public interface RTMPMinaTransportMBean

Method Summary
`void` `setAddress(String address)`
`void` `setEventThreadsCore(int eventThreadsCore)`
`void` `setEventThreadsKeepalive(int eventThreadsKeepalive)`
`void` `setEventThreadsMax(int eventThreadsMax)`
`void` `setEventThreadsQueue(int eventThreadsQueue)`
`void` `setIoHandler(IoHandlerAdapter rtmpIOHandler)`
`void` `setIoThreads(int ioThreads)`
`void` `setPort(int port)`
`void` `setReceiveBufferSize(int receiveBufferSize)`
`void` `setSendBufferSize(int sendBufferSize)`
`void` `setTcpNoDelay(boolean tcpNoDelay)`
`void` `setUseHeapBuffers(boolean useHeapBuffers)`
`void` `start()`
`void` `stop()`

Method Detail

### setAddress

    void setAddress(String address)

### setPort

    void setPort(int port)

### setIoThreads

    void setIoThreads(int ioThreads)

### setEventThreadsCore

    void setEventThreadsCore(int eventThreadsCore)

### setEventThreadsMax

    void setEventThreadsMax(int eventThreadsMax)

### setEventThreadsKeepalive

    void setEventThreadsKeepalive(int eventThreadsKeepalive)

### setEventThreadsQueue

    void setEventThreadsQueue(int eventThreadsQueue)

### setIoHandler

    void setIoHandler(IoHandlerAdapter rtmpIOHandler)

### setReceiveBufferSize

    void setReceiveBufferSize(int receiveBufferSize)

### setSendBufferSize

    void setSendBufferSize(int sendBufferSize)

### setTcpNoDelay

    void setTcpNoDelay(boolean tcpNoDelay)

### setUseHeapBuffers

    void setUseHeapBuffers(boolean useHeapBuffers)

### start

    void start()
               throws Exception

  Throws:
    `Exception`

### stop

    void stop()

Copyright © 2006-2010 The Red5 Project